> ## Documentation Index
> Fetch the complete documentation index at: https://docs-qa.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Use Case Group



## OpenAPI

````yaml https://api-qa.interactly.ai/api-docs/integrations/api.json delete /integrations/v1/integrations/{integration}/use-case-groups/{group_id}
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-qa.interactly.ai
    description: API Server
security: []
paths:
  /integrations/v1/integrations/{integration}/use-case-groups/{group_id}:
    delete:
      tags:
        - Use Cases
      summary: Delete Use Case Group
      operationId: >-
        integrations_service_delete_use_case_group_v1_integrations__integration__use_case_groups__group_id__delete
      parameters:
        - name: integration
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/IntegrationType'
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            minLength: 24
            maxLength: 24
            pattern: ^[0-9a-f]{24}$
            example: 5eb7cf5a86d9755df3a6c593
            title: Group Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    IntegrationType:
      type: string
      enum:
        - microsoft
        - google
      title: IntegrationType
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard-qa.interactly.ai/api-keys).

````